# Interface IFCLightingEnvironment

Represents additional lighting environment properties that are specific to IFC objects.

interface IFCLightingEnvironment {
ambient: Color3;
directionalLightLambertStrength: number;
directionalLightSpecularStrength: number;
directionalLightStrength: number;
hemisphericLightStrength: number;
}

##### Index

### Properties

ambient
directionalLightLambertStrength
directionalLightSpecularStrength
directionalLightStrength
hemisphericLightStrength

## Properties

### ambient

ambient: Color3

The base ambient strength.

### directionalLightLambertStrength

directionalLightLambertStrength: number

How much impact the directional light's lambert term will have on the lighting (which is the diffuse lighting), set this to 0 for no impact. This value is multiplied with directionalLightStrength.

### directionalLightSpecularStrength

directionalLightSpecularStrength: number

How much impact the directional light's specular term will have on the lighting (which is the shiny, direct lighting), set this to 0 for no impact. This value is multiplied with directionalLightStrength.

### directionalLightStrength

directionalLightStrength: number

How much impact the directional light will have on the lighting, set this to 0 for no impact.

### hemisphericLightStrength

hemisphericLightStrength: number

How much impact the hemispheric light will have on the lighting, set this to 0 for no impact.